/* Sample program for TI sensot HDC1080 (Temperature/Humidity)
 * For changing parameters please check the lib
 * 
 * Michael Pruefer, SmartHome.work 11/2018 
 */

#include <ZUNO_HDC1080.h>
#define HDC_ADDR 0x40

HDC1080 hdc(HDC_ADDR);

void setup() {
  Serial.begin(115200);
  hdc.begin();
  hdc.defaultInit();
/* ---------------------------------
 *  alternate to hdc.defaultInit():  
 *    hdc.setTempRes(11);  //11bit
 *    hdc.setHumidRes(8);  //8bit
 * ---------------------------------
*/
}

void loop() {
  Serial.print("Temperature (°C): "); Serial.println(hdc.readTemp());
  Serial.print("Humidity (%): "); Serial.println(hdc.readHum());
  Serial.println("---");
  delay(2000);
}
